Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.util
Class UrlHelper

    java.lang.Object
      org.apache.struts2.views.util.UrlHelper

    public class UrlHelper

extends java.lang.Object

UrlHelper

Constructor Summary
`UrlHelper()`

Method Summary
`static void` | `buildParametersString(java.util.Map params, java.lang.StringBuilder link)`
`static void` | `buildParametersString(java.util.Map params, java.lang.StringBuilder link, java.lang.String paramSeparator)`
`static java.lang.String` | `buildUrl(java.lang.String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params)`
`static java.lang.String` | `buildUrl(java.lang.String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params, java.lang.String scheme, boolean includeContext, boolean encodeResult)`
`static java.lang.String` | `buildUrl(java.lang.String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params, java.lang.String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort)`
`static java.lang.String` | `buildUrl(java.lang.String action, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.util.Map params, java.lang.String scheme, boolean includeContext, boolean encodeResult, boolean forceAddSchemeHostAndPort, boolean escapeAmp)`
`static java.util.Map` | `parseQueryString(java.lang.String queryString)`
`static java.util.Map` | `parseQueryString(java.lang.String queryString, boolean forceValueArray)`
`static java.lang.String` | `translateAndDecode(java.lang.String input)`
`static java.lang.String` | `translateAndEncode(java.lang.String input)` Translates any script expressions using `TextParseUtil.translateVariables(java.lang.String, com.opensymphony.xwork2.util.ValueStack)` and encodes the URL using `URLEncoder.encode(java.lang.String)` with the encoding specified in the configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlHelper

    public UrlHelper()

Method Detail

### buildUrl

    public static java.lang.String buildUrl(java.lang.String action,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            java.util.Map params)

### buildUrl

    public static java.lang.String buildUrl(java.lang.String action,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            java.util.Map params,
                                            java.lang.String scheme,
                                            boolean includeContext,
                                            boolean encodeResult)

### buildUrl

    public static java.lang.String buildUrl(java.lang.String action,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            java.util.Map params,
                                            java.lang.String scheme,
                                            boolean includeContext,
                                            boolean encodeResult,
                                            boolean forceAddSchemeHostAndPort)

### buildUrl

    public static java.lang.String buildUrl(java.lang.String action,
                                            javax.servlet.http.HttpServletRequest request,
                                            javax.servlet.http.HttpServletResponse response,
                                            java.util.Map params,
                                            java.lang.String scheme,
                                            boolean includeContext,
                                            boolean encodeResult,
                                            boolean forceAddSchemeHostAndPort,
                                            boolean escapeAmp)

### buildParametersString

    public static void buildParametersString(java.util.Map params,
                                             java.lang.StringBuilder link)

### buildParametersString

    public static void buildParametersString(java.util.Map params,
                                             java.lang.StringBuilder link,
                                             java.lang.String paramSeparator)

### translateAndEncode

    public static java.lang.String translateAndEncode(java.lang.String input)

  Translates any script expressions using `TextParseUtil.translateVariables(java.lang.String, com.opensymphony.xwork2.util.ValueStack)` and encodes the URL using `URLEncoder.encode(java.lang.String)` with the encoding specified in the configuration.

  Parameters:
    `input` -
  Returns:
    the translated and encoded string

### translateAndDecode

    public static java.lang.String translateAndDecode(java.lang.String input)

### parseQueryString

    public static java.util.Map parseQueryString(java.lang.String queryString)

### parseQueryString

    public static java.util.Map parseQueryString(java.lang.String queryString,
                                                 boolean forceValueArray)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.